R4i Gold Revolution (1.4) doesnt work on DSiXL 1.4.3E anymore

Discussion in 'R4 DS' started by Ray =D, Dec 10, 2011.

  1. Ray =D
    OP

    Ray =D GBAtemp Regular

    Member
    288
    38
    May 17, 2011
    Gambia, The
    Ok, I have looked now 1 month for a solution but couldnt find one.
    My problem is: I've updated my DSiXL so I can use the shop. I didnt know that my flashcard wont work anymore. So now I have 1.4.3E and my flashcard (R4i Revolution 1.4) doesnt work anymore. When I start my flashcard, a black screen with an Error Message appears :( I dont know what to do and I hope someone can help me :)
     
  2. Buleste

    Buleste Old Fart

    Member
    852
    27
    Dec 19, 2010
    Which r4i Gold is it? What is the website on the front of the cart? Let us know so we can help you and see if you can update your cart to work on your DSi.
     
    1 person likes this.
  3. Ray =D
    OP

    Ray =D GBAtemp Regular

    Member
    288
    38
    May 17, 2011
    Gambia, The
  4. Buleste

    Buleste Old Fart

    Member
    852
    27
    Dec 19, 2010
    Unfortunately your cart cannot be updated to work on DSi firmware 1.4.1+ so you will need to buy a new cart (these appear to be clones of www.r4isdhc.com which are one of the worst R4i carts you can get).
     
  5. Ray =D
    OP

    Ray =D GBAtemp Regular

    Member
    288
    38
    May 17, 2011
    Gambia, The
    These Flashcarts are compatible with 1.4.3
    Will it work on my 1.4.3E DSiXL?
     
  6. Buleste

    Buleste Old Fart

    Member
    852
    27
    Dec 19, 2010
    Those are the new www.r4i-gold.com carts and yes they are compatible but your old 1.4 cart isn't and cannot be flashed to work with 1.4.3. Personally I would recommend you buying either a www.r4ids.cn R4i Gold cart or an AceKard 2i as these are far better than the www.r4i-gold.com carts.
     
  7. Ray =D
    OP

    Ray =D GBAtemp Regular

    Member
    288
    38
    May 17, 2011
    Gambia, The
    Ok thank you very much =D